SIGN(1)

NAME
sign - Runs TPM2 sign

DESCRIPTION
sign

Runs TPM2_Sign

-hk key handle

-if input message to hash and sign

[-pwdk
    password for key (default empty)]

[-halg
    (sha1, sha256, sha384, sha512) (default sha256)]

[-salg
    signature algorithm (rsa, ecc, hmac) (default rsa)]

    [-scheme signing scheme (rsassa, rsapss, ecdsa, ecdaa, hmac)]

    (default rsassa, ecdsa, hmac)]

[-cf
    input counter file (commit count required for ECDAA scheme]

[-ipu
    public key file name to verify signature (default no verify)] Verify only supported for RSA now

[-os
    signature file name (default do not save)]

[-tk
    ticket file name]

-se[0-2] session handle / attributes (default PWAP)

01  continue

20  command decrypt